"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RunInstancesRequestFilterSensitiveLog = exports.RequestSpotInstancesResultFilterSensitiveLog = exports.RequestSpotInstancesRequestFilterSensitiveLog = exports.RequestSpotLaunchSpecificationFilterSensitiveLog = exports.RequestSpotFleetRequestFilterSensitiveLog = exports.ModifyVpnTunnelOptionsResultFilterSensitiveLog = exports.ModifyVpnTunnelOptionsRequestFilterSensitiveLog = exports.ModifyVpnTunnelOptionsSpecificationFilterSensitiveLog = exports.ModifyVpnTunnelCertificateResultFilterSensitiveLog = exports.ModifyVpnConnectionOptionsResultFilterSensitiveLog = exports.ModifyVpnConnectionResultFilterSensitiveLog = exports.ModifyVerifiedAccessTrustProviderResultFilterSensitiveLog = exports.ModifyVerifiedAccessTrustProviderRequestFilterSensitiveLog = exports.ModifyVerifiedAccessTrustProviderOidcOptionsFilterSensitiveLog = exports.ImportVolumeResultFilterSensitiveLog = exports.ImportVolumeRequestFilterSensitiveLog = exports.ImportSnapshotResultFilterSensitiveLog = exports.ImportSnapshotRequestFilterSensitiveLog = exports.SnapshotDiskContainerFilterSensitiveLog = exports.ImportInstanceResultFilterSensitiveLog = exports.ImportInstanceRequestFilterSensitiveLog = exports.ImportInstanceLaunchSpecificationFilterSensitiveLog = exports.UserDataFilterSensitiveLog = exports.DiskImageFilterSensitiveLog = exports.DiskImageDetailFilterSensitiveLog = exports.ImportImageResultFilterSensitiveLog = exports.ImportImageRequestFilterSensitiveLog = exports.ImageDiskContainerFilterSensitiveLog = exports.ResetImageAttributeName = exports.ResetFpgaImageAttributeName = exports.ReportStatusType = exports.ReportInstanceReasonCodes = exports.Status = exports.VpcTenancy = exports.TrafficMirrorSessionField = exports.TrafficMirrorFilterRuleField = exports.TargetStorageTier = exports.HostTenancy = exports.UnsuccessfulInstanceCreditSpecificationErrorCode = exports.OperationType = exports.ModifyAvailabilityZoneOptInStatus = void 0;
const smithy_client_1 = require("@smithy/smithy-client");
const models_0_1 = require("./models_0");
const models_2_1 = require("./models_2");
const models_3_1 = require("./models_3");
const models_4_1 = require("./models_4");
exports.ModifyAvailabilityZoneOptInStatus = {
    not_opted_in: "not-opted-in",
    opted_in: "opted-in",
};
exports.OperationType = {
    add: "add",
    remove: "remove",
};
exports.UnsuccessfulInstanceCreditSpecificationErrorCode = {
    INCORRECT_INSTANCE_STATE: "IncorrectInstanceState",
    INSTANCE_CREDIT_SPECIFICATION_NOT_SUPPORTED: "InstanceCreditSpecification.NotSupported",
    INSTANCE_NOT_FOUND: "InvalidInstanceID.NotFound",
    INVALID_INSTANCE_ID: "InvalidInstanceID.Malformed",
};
exports.HostTenancy = {
    dedicated: "dedicated",
    host: "host",
};
exports.TargetStorageTier = {
    archive: "archive",
};
exports.TrafficMirrorFilterRuleField = {
    description: "description",
    destination_port_range: "destination-port-range",
    protocol: "protocol",
    source_port_range: "source-port-range",
};
exports.TrafficMirrorSessionField = {
    description: "description",
    packet_length: "packet-length",
    virtual_network_id: "virtual-network-id",
};
exports.VpcTenancy = {
    default: "default",
};
exports.Status = {
    inClassic: "InClassic",
    inVpc: "InVpc",
    moveInProgress: "MoveInProgress",
};
exports.ReportInstanceReasonCodes = {
    instance_stuck_in_state: "instance-stuck-in-state",
    not_accepting_credentials: "not-accepting-credentials",
    other: "other",
    password_not_available: "password-not-available",
    performance_ebs_volume: "performance-ebs-volume",
    performance_instance_store: "performance-instance-store",
    performance_network: "performance-network",
    performance_other: "performance-other",
    unresponsive: "unresponsive",
};
exports.ReportStatusType = {
    impaired: "impaired",
    ok: "ok",
};
exports.ResetFpgaImageAttributeName = {
    loadPermission: "loadPermission",
};
exports.ResetImageAttributeName = {
    launchPermission: "launchPermission",
};
const ImageDiskContainerFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Url && { Url: smithy_client_1.SENSITIVE_STRING }),
});
exports.ImageDiskContainerFilterSensitiveLog = ImageDiskContainerFilterSensitiveLog;
const ImportImageRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.DiskContainers && {
        DiskContainers: obj.DiskContainers.map((item) => (0, exports.ImageDiskContainerFilterSensitiveLog)(item)),
    }),
});
exports.ImportImageRequestFilterSensitiveLog = ImportImageRequestFilterSensitiveLog;
const ImportImageResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.SnapshotDetails && {
        SnapshotDetails: obj.SnapshotDetails.map((item) => (0, models_3_1.SnapshotDetailFilterSensitiveLog)(item)),
    }),
});
exports.ImportImageResultFilterSensitiveLog = ImportImageResultFilterSensitiveLog;
const DiskImageDetailFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.ImportManifestUrl && { ImportManifestUrl: smithy_client_1.SENSITIVE_STRING }),
});
exports.DiskImageDetailFilterSensitiveLog = DiskImageDetailFilterSensitiveLog;
const DiskImageFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Image && { Image: (0, exports.DiskImageDetailFilterSensitiveLog)(obj.Image) }),
});
exports.DiskImageFilterSensitiveLog = DiskImageFilterSensitiveLog;
const UserDataFilterSensitiveLog = (obj) => ({
    ...obj,
});
exports.UserDataFilterSensitiveLog = UserDataFilterSensitiveLog;
const ImportInstanceLaunchSpecificationFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.UserData && { UserData: smithy_client_1.SENSITIVE_STRING }),
});
exports.ImportInstanceLaunchSpecificationFilterSensitiveLog = ImportInstanceLaunchSpecificationFilterSensitiveLog;
const ImportInstanceRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.DiskImages && { DiskImages: obj.DiskImages.map((item) => (0, exports.DiskImageFilterSensitiveLog)(item)) }),
    ...(obj.LaunchSpecification && {
        LaunchSpecification: (0, exports.ImportInstanceLaunchSpecificationFilterSensitiveLog)(obj.LaunchSpecification),
    }),
});
exports.ImportInstanceRequestFilterSensitiveLog = ImportInstanceRequestFilterSensitiveLog;
const ImportInstanceResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.ConversionTask && { ConversionTask: (0, models_3_1.ConversionTaskFilterSensitiveLog)(obj.ConversionTask) }),
});
exports.ImportInstanceResultFilterSensitiveLog = ImportInstanceResultFilterSensitiveLog;
const SnapshotDiskContainerFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Url && { Url: smithy_client_1.SENSITIVE_STRING }),
});
exports.SnapshotDiskContainerFilterSensitiveLog = SnapshotDiskContainerFilterSensitiveLog;
const ImportSnapshotRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.DiskContainer && { DiskContainer: (0, exports.SnapshotDiskContainerFilterSensitiveLog)(obj.DiskContainer) }),
});
exports.ImportSnapshotRequestFilterSensitiveLog = ImportSnapshotRequestFilterSensitiveLog;
const ImportSnapshotResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.SnapshotTaskDetail && { SnapshotTaskDetail: (0, models_3_1.SnapshotTaskDetailFilterSensitiveLog)(obj.SnapshotTaskDetail) }),
});
exports.ImportSnapshotResultFilterSensitiveLog = ImportSnapshotResultFilterSensitiveLog;
const ImportVolumeRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.Image && { Image: (0, exports.DiskImageDetailFilterSensitiveLog)(obj.Image) }),
});
exports.ImportVolumeRequestFilterSensitiveLog = ImportVolumeRequestFilterSensitiveLog;
const ImportVolumeResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.ConversionTask && { ConversionTask: (0, models_3_1.ConversionTaskFilterSensitiveLog)(obj.ConversionTask) }),
});
exports.ImportVolumeResultFilterSensitiveLog = ImportVolumeResultFilterSensitiveLog;
const ModifyVerifiedAccessTrustProviderOidcOptionsFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.ClientSecret && { ClientSecret: smithy_client_1.SENSITIVE_STRING }),
});
exports.ModifyVerifiedAccessTrustProviderOidcOptionsFilterSensitiveLog = ModifyVerifiedAccessTrustProviderOidcOptionsFilterSensitiveLog;
const ModifyVerifiedAccessTrustProviderRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.OidcOptions && {
        OidcOptions: (0, exports.ModifyVerifiedAccessTrustProviderOidcOptionsFilterSensitiveLog)(obj.OidcOptions),
    }),
});
exports.ModifyVerifiedAccessTrustProviderRequestFilterSensitiveLog = ModifyVerifiedAccessTrustProviderRequestFilterSensitiveLog;
const ModifyVerifiedAccessTrustProviderResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VerifiedAccessTrustProvider && {
        VerifiedAccessTrustProvider: (0, models_0_1.VerifiedAccessTrustProviderFilterSensitiveLog)(obj.VerifiedAccessTrustProvider),
    }),
});
exports.ModifyVerifiedAccessTrustProviderResultFilterSensitiveLog = ModifyVerifiedAccessTrustProviderResultFilterSensitiveLog;
const ModifyVpnConnectionResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VpnConnection && { VpnConnection: (0, models_2_1.VpnConnectionFilterSensitiveLog)(obj.VpnConnection) }),
});
exports.ModifyVpnConnectionResultFilterSensitiveLog = ModifyVpnConnectionResultFilterSensitiveLog;
const ModifyVpnConnectionOptionsResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VpnConnection && { VpnConnection: (0, models_2_1.VpnConnectionFilterSensitiveLog)(obj.VpnConnection) }),
});
exports.ModifyVpnConnectionOptionsResultFilterSensitiveLog = ModifyVpnConnectionOptionsResultFilterSensitiveLog;
const ModifyVpnTunnelCertificateResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VpnConnection && { VpnConnection: (0, models_2_1.VpnConnectionFilterSensitiveLog)(obj.VpnConnection) }),
});
exports.ModifyVpnTunnelCertificateResultFilterSensitiveLog = ModifyVpnTunnelCertificateResultFilterSensitiveLog;
const ModifyVpnTunnelOptionsSpecificationFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PreSharedKey && { PreSharedKey: smithy_client_1.SENSITIVE_STRING }),
});
exports.ModifyVpnTunnelOptionsSpecificationFilterSensitiveLog = ModifyVpnTunnelOptionsSpecificationFilterSensitiveLog;
const ModifyVpnTunnelOptionsRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.TunnelOptions && { TunnelOptions: smithy_client_1.SENSITIVE_STRING }),
});
exports.ModifyVpnTunnelOptionsRequestFilterSensitiveLog = ModifyVpnTunnelOptionsRequestFilterSensitiveLog;
const ModifyVpnTunnelOptionsResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.VpnConnection && { VpnConnection: (0, models_2_1.VpnConnectionFilterSensitiveLog)(obj.VpnConnection) }),
});
exports.ModifyVpnTunnelOptionsResultFilterSensitiveLog = ModifyVpnTunnelOptionsResultFilterSensitiveLog;
const RequestSpotFleetRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.SpotFleetRequestConfig && {
        SpotFleetRequestConfig: (0, models_4_1.SpotFleetRequestConfigDataFilterSensitiveLog)(obj.SpotFleetRequestConfig),
    }),
});
exports.RequestSpotFleetRequestFilterSensitiveLog = RequestSpotFleetRequestFilterSensitiveLog;
const RequestSpotLaunchSpecificationFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.UserData && { UserData: smithy_client_1.SENSITIVE_STRING }),
});
exports.RequestSpotLaunchSpecificationFilterSensitiveLog = RequestSpotLaunchSpecificationFilterSensitiveLog;
const RequestSpotInstancesRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.LaunchSpecification && {
        LaunchSpecification: (0, exports.RequestSpotLaunchSpecificationFilterSensitiveLog)(obj.LaunchSpecification),
    }),
});
exports.RequestSpotInstancesRequestFilterSensitiveLog = RequestSpotInstancesRequestFilterSensitiveLog;
const RequestSpotInstancesResultFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.SpotInstanceRequests && {
        SpotInstanceRequests: obj.SpotInstanceRequests.map((item) => (0, models_4_1.SpotInstanceRequestFilterSensitiveLog)(item)),
    }),
});
exports.RequestSpotInstancesResultFilterSensitiveLog = RequestSpotInstancesResultFilterSensitiveLog;
const RunInstancesRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.UserData && { UserData: smithy_client_1.SENSITIVE_STRING }),
});
exports.RunInstancesRequestFilterSensitiveLog = RunInstancesRequestFilterSensitiveLog;
