"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.waitUntilStoreImageTaskComplete = exports.waitForStoreImageTaskComplete = void 0;
const util_waiter_1 = require("@smithy/util-waiter");
const DescribeStoreImageTasksCommand_1 = require("../commands/DescribeStoreImageTasksCommand");
const checkState = async (client, input) => {
    let reason;
    try {
        const result = await client.send(new DescribeStoreImageTasksCommand_1.DescribeStoreImageTasksCommand(input));
        reason = result;
        try {
            const returnComparator = () => {
                const flat_1 = [].concat(...result.StoreImageTaskResults);
                const projection_3 = flat_1.map((element_2) => {
                    return element_2.StoreTaskState;
                });
                return projection_3;
            };
            let allStringEq_5 = returnComparator().length > 0;
            for (const element_4 of returnComparator()) {
                allStringEq_5 = allStringEq_5 && element_4 == "Completed";
            }
            if (allStringEq_5) {
                return { state: util_waiter_1.WaiterState.SUCCESS, reason };
            }
        }
        catch (e) { }
        try {
            const returnComparator = () => {
                const flat_1 = [].concat(...result.StoreImageTaskResults);
                const projection_3 = flat_1.map((element_2) => {
                    return element_2.StoreTaskState;
                });
                return projection_3;
            };
            for (const anyStringEq_4 of returnComparator()) {
                if (anyStringEq_4 == "Failed") {
                    return { state: util_waiter_1.WaiterState.FAILURE, reason };
                }
            }
        }
        catch (e) { }
        try {
            const returnComparator = () => {
                const flat_1 = [].concat(...result.StoreImageTaskResults);
                const projection_3 = flat_1.map((element_2) => {
                    return element_2.StoreTaskState;
                });
                return projection_3;
            };
            for (const anyStringEq_4 of returnComparator()) {
                if (anyStringEq_4 == "InProgress") {
                    return { state: util_waiter_1.WaiterState.RETRY, reason };
                }
            }
        }
        catch (e) { }
    }
    catch (exception) {
        reason = exception;
    }
    return { state: util_waiter_1.WaiterState.RETRY, reason };
};
const waitForStoreImageTaskComplete = async (params, input) => {
    const serviceDefaults = { minDelay: 5, maxDelay: 120 };
    return (0, util_waiter_1.createWaiter)({ ...serviceDefaults, ...params }, input, checkState);
};
exports.waitForStoreImageTaskComplete = waitForStoreImageTaskComplete;
const waitUntilStoreImageTaskComplete = async (params, input) => {
    const serviceDefaults = { minDelay: 5, maxDelay: 120 };
    const result = await (0, util_waiter_1.createWaiter)({ ...serviceDefaults, ...params }, input, checkState);
    return (0, util_waiter_1.checkExceptions)(result);
};
exports.waitUntilStoreImageTaskComplete = waitUntilStoreImageTaskComplete;
