import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  AcceptAddressTransferRequest,
  AcceptAddressTransferResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AcceptAddressTransferCommandInput
  extends AcceptAddressTransferRequest {}
export interface AcceptAddressTransferCommandOutput
  extends AcceptAddressTransferResult,
    __MetadataBearer {}
export declare class AcceptAddressTransferCommand extends $Command<
  AcceptAddressTransferCommandInput,
  AcceptAddressTransferCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AcceptAddressTransferCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AcceptAddressTransferCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AcceptAddressTransferCommandInput,
    AcceptAddressTransferCommandOutput
  >;
  private serialize;
  private deserialize;
}
