import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  AssignPrivateNatGatewayAddressRequest,
  AssignPrivateNatGatewayAddressResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AssignPrivateNatGatewayAddressCommandInput
  extends AssignPrivateNatGatewayAddressRequest {}
export interface AssignPrivateNatGatewayAddressCommandOutput
  extends AssignPrivateNatGatewayAddressResult,
    __MetadataBearer {}
export declare class AssignPrivateNatGatewayAddressCommand extends $Command<
  AssignPrivateNatGatewayAddressCommandInput,
  AssignPrivateNatGatewayAddressCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AssignPrivateNatGatewayAddressCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AssignPrivateNatGatewayAddressCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AssignPrivateNatGatewayAddressCommandInput,
    AssignPrivateNatGatewayAddressCommandOutput
  >;
  private serialize;
  private deserialize;
}
