import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { AssociateDhcpOptionsRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AssociateDhcpOptionsCommandInput
  extends AssociateDhcpOptionsRequest {}
export interface AssociateDhcpOptionsCommandOutput extends __MetadataBearer {}
export declare class AssociateDhcpOptionsCommand extends $Command<
  AssociateDhcpOptionsCommandInput,
  AssociateDhcpOptionsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AssociateDhcpOptionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AssociateDhcpOptionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AssociateDhcpOptionsCommandInput,
    AssociateDhcpOptionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
