import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  AssociateInstanceEventWindowRequest,
  AssociateInstanceEventWindowResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AssociateInstanceEventWindowCommandInput
  extends AssociateInstanceEventWindowRequest {}
export interface AssociateInstanceEventWindowCommandOutput
  extends AssociateInstanceEventWindowResult,
    __MetadataBearer {}
export declare class AssociateInstanceEventWindowCommand extends $Command<
  AssociateInstanceEventWindowCommandInput,
  AssociateInstanceEventWindowCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AssociateInstanceEventWindowCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AssociateInstanceEventWindowCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AssociateInstanceEventWindowCommandInput,
    AssociateInstanceEventWindowCommandOutput
  >;
  private serialize;
  private deserialize;
}
