import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  AssociateTransitGatewayRouteTableRequest,
  AssociateTransitGatewayRouteTableResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AssociateTransitGatewayRouteTableCommandInput
  extends AssociateTransitGatewayRouteTableRequest {}
export interface AssociateTransitGatewayRouteTableCommandOutput
  extends AssociateTransitGatewayRouteTableResult,
    __MetadataBearer {}
export declare class AssociateTransitGatewayRouteTableCommand extends $Command<
  AssociateTransitGatewayRouteTableCommandInput,
  AssociateTransitGatewayRouteTableCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AssociateTransitGatewayRouteTableCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AssociateTransitGatewayRouteTableCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AssociateTransitGatewayRouteTableCommandInput,
    AssociateTransitGatewayRouteTableCommandOutput
  >;
  private serialize;
  private deserialize;
}
