import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  AssociateVpcCidrBlockRequest,
  AssociateVpcCidrBlockResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AssociateVpcCidrBlockCommandInput
  extends AssociateVpcCidrBlockRequest {}
export interface AssociateVpcCidrBlockCommandOutput
  extends AssociateVpcCidrBlockResult,
    __MetadataBearer {}
export declare class AssociateVpcCidrBlockCommand extends $Command<
  AssociateVpcCidrBlockCommandInput,
  AssociateVpcCidrBlockCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AssociateVpcCidrBlockCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AssociateVpcCidrBlockCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AssociateVpcCidrBlockCommandInput,
    AssociateVpcCidrBlockCommandOutput
  >;
  private serialize;
  private deserialize;
}
