import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  AttachClassicLinkVpcRequest,
  AttachClassicLinkVpcResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AttachClassicLinkVpcCommandInput
  extends AttachClassicLinkVpcRequest {}
export interface AttachClassicLinkVpcCommandOutput
  extends AttachClassicLinkVpcResult,
    __MetadataBearer {}
export declare class AttachClassicLinkVpcCommand extends $Command<
  AttachClassicLinkVpcCommandInput,
  AttachClassicLinkVpcCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AttachClassicLinkVpcCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AttachClassicLinkVpcCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AttachClassicLinkVpcCommandInput,
    AttachClassicLinkVpcCommandOutput
  >;
  private serialize;
  private deserialize;
}
