import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  AuthorizeClientVpnIngressRequest,
  AuthorizeClientVpnIngressResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AuthorizeClientVpnIngressCommandInput
  extends AuthorizeClientVpnIngressRequest {}
export interface AuthorizeClientVpnIngressCommandOutput
  extends AuthorizeClientVpnIngressResult,
    __MetadataBearer {}
export declare class AuthorizeClientVpnIngressCommand extends $Command<
  AuthorizeClientVpnIngressCommandInput,
  AuthorizeClientVpnIngressCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AuthorizeClientVpnIngressCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AuthorizeClientVpnIngressCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AuthorizeClientVpnIngressCommandInput,
    AuthorizeClientVpnIngressCommandOutput
  >;
  private serialize;
  private deserialize;
}
