import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CancelImageLaunchPermissionRequest,
  CancelImageLaunchPermissionResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CancelImageLaunchPermissionCommandInput
  extends CancelImageLaunchPermissionRequest {}
export interface CancelImageLaunchPermissionCommandOutput
  extends CancelImageLaunchPermissionResult,
    __MetadataBearer {}
export declare class CancelImageLaunchPermissionCommand extends $Command<
  CancelImageLaunchPermissionCommandInput,
  CancelImageLaunchPermissionCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CancelImageLaunchPermissionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CancelImageLaunchPermissionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CancelImageLaunchPermissionCommandInput,
    CancelImageLaunchPermissionCommandOutput
  >;
  private serialize;
  private deserialize;
}
