import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ConfirmProductInstanceRequest,
  ConfirmProductInstanceResult,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ConfirmProductInstanceCommandInput
  extends ConfirmProductInstanceRequest {}
export interface ConfirmProductInstanceCommandOutput
  extends ConfirmProductInstanceResult,
    __MetadataBearer {}
export declare class ConfirmProductInstanceCommand extends $Command<
  ConfirmProductInstanceCommandInput,
  ConfirmProductInstanceCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ConfirmProductInstanceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ConfirmProductInstanceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ConfirmProductInstanceCommandInput,
    ConfirmProductInstanceCommandOutput
  >;
  private serialize;
  private deserialize;
}
