import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateClientVpnRouteRequest,
  CreateClientVpnRouteResult,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface CreateClientVpnRouteCommandInput
  extends CreateClientVpnRouteRequest {}
export interface CreateClientVpnRouteCommandOutput
  extends CreateClientVpnRouteResult,
    __MetadataBearer {}
export declare class CreateClientVpnRouteCommand extends $Command<
  CreateClientVpnRouteCommandInput,
  CreateClientVpnRouteCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateClientVpnRouteCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateClientVpnRouteCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateClientVpnRouteCommandInput,
    CreateClientVpnRouteCommandOutput
  >;
  private serialize;
  private deserialize;
}
