import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateCoipCidrRequest,
  CreateCoipCidrResult,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface CreateCoipCidrCommandInput extends CreateCoipCidrRequest {}
export interface CreateCoipCidrCommandOutput
  extends CreateCoipCidrResult,
    __MetadataBearer {}
export declare class CreateCoipCidrCommand extends $Command<
  CreateCoipCidrCommandInput,
  CreateCoipCidrCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateCoipCidrCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateCoipCidrCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CreateCoipCidrCommandInput, CreateCoipCidrCommandOutput>;
  private serialize;
  private deserialize;
}
