import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateInstanceConnectEndpointRequest,
  CreateInstanceConnectEndpointResult,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface CreateInstanceConnectEndpointCommandInput
  extends CreateInstanceConnectEndpointRequest {}
export interface CreateInstanceConnectEndpointCommandOutput
  extends CreateInstanceConnectEndpointResult,
    __MetadataBearer {}
export declare class CreateInstanceConnectEndpointCommand extends $Command<
  CreateInstanceConnectEndpointCommandInput,
  CreateInstanceConnectEndpointCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateInstanceConnectEndpointCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateInstanceConnectEndpointCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateInstanceConnectEndpointCommandInput,
    CreateInstanceConnectEndpointCommandOutput
  >;
  private serialize;
  private deserialize;
}
