import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateInstanceEventWindowRequest,
  CreateInstanceEventWindowResult,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface CreateInstanceEventWindowCommandInput
  extends CreateInstanceEventWindowRequest {}
export interface CreateInstanceEventWindowCommandOutput
  extends CreateInstanceEventWindowResult,
    __MetadataBearer {}
export declare class CreateInstanceEventWindowCommand extends $Command<
  CreateInstanceEventWindowCommandInput,
  CreateInstanceEventWindowCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateInstanceEventWindowCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateInstanceEventWindowCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateInstanceEventWindowCommandInput,
    CreateInstanceEventWindowCommandOutput
  >;
  private serialize;
  private deserialize;
}
