import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateIpamPoolRequest,
  CreateIpamPoolResult,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface CreateIpamPoolCommandInput extends CreateIpamPoolRequest {}
export interface CreateIpamPoolCommandOutput
  extends CreateIpamPoolResult,
    __MetadataBearer {}
export declare class CreateIpamPoolCommand extends $Command<
  CreateIpamPoolCommandInput,
  CreateIpamPoolCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateIpamPoolCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateIpamPoolCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CreateIpamPoolCommandInput, CreateIpamPoolCommandOutput>;
  private serialize;
  private deserialize;
}
