import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateIpamResourceDiscoveryRequest,
  CreateIpamResourceDiscoveryResult,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface CreateIpamResourceDiscoveryCommandInput
  extends CreateIpamResourceDiscoveryRequest {}
export interface CreateIpamResourceDiscoveryCommandOutput
  extends CreateIpamResourceDiscoveryResult,
    __MetadataBearer {}
export declare class CreateIpamResourceDiscoveryCommand extends $Command<
  CreateIpamResourceDiscoveryCommandInput,
  CreateIpamResourceDiscoveryCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateIpamResourceDiscoveryCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateIpamResourceDiscoveryCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateIpamResourceDiscoveryCommandInput,
    CreateIpamResourceDiscoveryCommandOutput
  >;
  private serialize;
  private deserialize;
}
