import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateLaunchTemplateVersionRequest,
  CreateLaunchTemplateVersionResult,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface CreateLaunchTemplateVersionCommandInput
  extends CreateLaunchTemplateVersionRequest {}
export interface CreateLaunchTemplateVersionCommandOutput
  extends CreateLaunchTemplateVersionResult,
    __MetadataBearer {}
export declare class CreateLaunchTemplateVersionCommand extends $Command<
  CreateLaunchTemplateVersionCommandInput,
  CreateLaunchTemplateVersionCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateLaunchTemplateVersionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateLaunchTemplateVersionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateLaunchTemplateVersionCommandInput,
    CreateLaunchTemplateVersionCommandOutput
  >;
  private serialize;
  private deserialize;
}
