import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateLocalGatewayRouteRequest,
  CreateLocalGatewayRouteResult,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface CreateLocalGatewayRouteCommandInput
  extends CreateLocalGatewayRouteRequest {}
export interface CreateLocalGatewayRouteCommandOutput
  extends CreateLocalGatewayRouteResult,
    __MetadataBearer {}
export declare class CreateLocalGatewayRouteCommand extends $Command<
  CreateLocalGatewayRouteCommandInput,
  CreateLocalGatewayRouteCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateLocalGatewayRouteCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateLocalGatewayRouteCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateLocalGatewayRouteCommandInput,
    CreateLocalGatewayRouteCommandOutput
  >;
  private serialize;
  private deserialize;
}
