import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { CreateNetworkAclEntryRequest } from "../models/models_1";
export { __MetadataBearer, $Command };
export interface CreateNetworkAclEntryCommandInput
  extends CreateNetworkAclEntryRequest {}
export interface CreateNetworkAclEntryCommandOutput extends __MetadataBearer {}
export declare class CreateNetworkAclEntryCommand extends $Command<
  CreateNetworkAclEntryCommandInput,
  CreateNetworkAclEntryCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateNetworkAclEntryCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateNetworkAclEntryCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateNetworkAclEntryCommandInput,
    CreateNetworkAclEntryCommandOutput
  >;
  private serialize;
  private deserialize;
}
