import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateNetworkInsightsAccessScopeRequest,
  CreateNetworkInsightsAccessScopeResult,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface CreateNetworkInsightsAccessScopeCommandInput
  extends CreateNetworkInsightsAccessScopeRequest {}
export interface CreateNetworkInsightsAccessScopeCommandOutput
  extends CreateNetworkInsightsAccessScopeResult,
    __MetadataBearer {}
export declare class CreateNetworkInsightsAccessScopeCommand extends $Command<
  CreateNetworkInsightsAccessScopeCommandInput,
  CreateNetworkInsightsAccessScopeCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateNetworkInsightsAccessScopeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateNetworkInsightsAccessScopeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateNetworkInsightsAccessScopeCommandInput,
    CreateNetworkInsightsAccessScopeCommandOutput
  >;
  private serialize;
  private deserialize;
}
