import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateReplaceRootVolumeTaskRequest,
  CreateReplaceRootVolumeTaskResult,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface CreateReplaceRootVolumeTaskCommandInput
  extends CreateReplaceRootVolumeTaskRequest {}
export interface CreateReplaceRootVolumeTaskCommandOutput
  extends CreateReplaceRootVolumeTaskResult,
    __MetadataBearer {}
export declare class CreateReplaceRootVolumeTaskCommand extends $Command<
  CreateReplaceRootVolumeTaskCommandInput,
  CreateReplaceRootVolumeTaskCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateReplaceRootVolumeTaskCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateReplaceRootVolumeTaskCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateReplaceRootVolumeTaskCommandInput,
    CreateReplaceRootVolumeTaskCommandOutput
  >;
  private serialize;
  private deserialize;
}
