import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { CreateSubnetRequest, CreateSubnetResult } from "../models/models_2";
export { __MetadataBearer, $Command };
export interface CreateSubnetCommandInput extends CreateSubnetRequest {}
export interface CreateSubnetCommandOutput
  extends CreateSubnetResult,
    __MetadataBearer {}
export declare class CreateSubnetCommand extends $Command<
  CreateSubnetCommandInput,
  CreateSubnetCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateSubnetCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateSubnetCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CreateSubnetCommandInput, CreateSubnetCommandOutput>;
  private serialize;
  private deserialize;
}
