import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateTrafficMirrorTargetRequest,
  CreateTrafficMirrorTargetResult,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface CreateTrafficMirrorTargetCommandInput
  extends CreateTrafficMirrorTargetRequest {}
export interface CreateTrafficMirrorTargetCommandOutput
  extends CreateTrafficMirrorTargetResult,
    __MetadataBearer {}
export declare class CreateTrafficMirrorTargetCommand extends $Command<
  CreateTrafficMirrorTargetCommandInput,
  CreateTrafficMirrorTargetCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateTrafficMirrorTargetCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateTrafficMirrorTargetCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateTrafficMirrorTargetCommandInput,
    CreateTrafficMirrorTargetCommandOutput
  >;
  private serialize;
  private deserialize;
}
