import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateTransitGatewayConnectRequest,
  CreateTransitGatewayConnectResult,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface CreateTransitGatewayConnectCommandInput
  extends CreateTransitGatewayConnectRequest {}
export interface CreateTransitGatewayConnectCommandOutput
  extends CreateTransitGatewayConnectResult,
    __MetadataBearer {}
export declare class CreateTransitGatewayConnectCommand extends $Command<
  CreateTransitGatewayConnectCommandInput,
  CreateTransitGatewayConnectCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateTransitGatewayConnectCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateTransitGatewayConnectCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateTransitGatewayConnectCommandInput,
    CreateTransitGatewayConnectCommandOutput
  >;
  private serialize;
  private deserialize;
}
