import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateTransitGatewayRouteTableAnnouncementRequest,
  CreateTransitGatewayRouteTableAnnouncementResult,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface CreateTransitGatewayRouteTableAnnouncementCommandInput
  extends CreateTransitGatewayRouteTableAnnouncementRequest {}
export interface CreateTransitGatewayRouteTableAnnouncementCommandOutput
  extends CreateTransitGatewayRouteTableAnnouncementResult,
    __MetadataBearer {}
export declare class CreateTransitGatewayRouteTableAnnouncementCommand extends $Command<
  CreateTransitGatewayRouteTableAnnouncementCommandInput,
  CreateTransitGatewayRouteTableAnnouncementCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateTransitGatewayRouteTableAnnouncementCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateTransitGatewayRouteTableAnnouncementCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateTransitGatewayRouteTableAnnouncementCommandInput,
    CreateTransitGatewayRouteTableAnnouncementCommandOutput
  >;
  private serialize;
  private deserialize;
}
