import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { CreateVpcRequest, CreateVpcResult } from "../models/models_2";
export { __MetadataBearer, $Command };
export interface CreateVpcCommandInput extends CreateVpcRequest {}
export interface CreateVpcCommandOutput
  extends CreateVpcResult,
    __MetadataBearer {}
export declare class CreateVpcCommand extends $Command<
  CreateVpcCommandInput,
  CreateVpcCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateVpcCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateVpcCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CreateVpcCommandInput, CreateVpcCommandOutput>;
  private serialize;
  private deserialize;
}
