import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteCoipCidrRequest,
  DeleteCoipCidrResult,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface DeleteCoipCidrCommandInput extends DeleteCoipCidrRequest {}
export interface DeleteCoipCidrCommandOutput
  extends DeleteCoipCidrResult,
    __MetadataBearer {}
export declare class DeleteCoipCidrCommand extends $Command<
  DeleteCoipCidrCommandInput,
  DeleteCoipCidrCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteCoipCidrCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteCoipCidrCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DeleteCoipCidrCommandInput, DeleteCoipCidrCommandOutput>;
  private serialize;
  private deserialize;
}
