import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteInstanceConnectEndpointRequest,
  DeleteInstanceConnectEndpointResult,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface DeleteInstanceConnectEndpointCommandInput
  extends DeleteInstanceConnectEndpointRequest {}
export interface DeleteInstanceConnectEndpointCommandOutput
  extends DeleteInstanceConnectEndpointResult,
    __MetadataBearer {}
export declare class DeleteInstanceConnectEndpointCommand extends $Command<
  DeleteInstanceConnectEndpointCommandInput,
  DeleteInstanceConnectEndpointCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteInstanceConnectEndpointCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteInstanceConnectEndpointCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteInstanceConnectEndpointCommandInput,
    DeleteInstanceConnectEndpointCommandOutput
  >;
  private serialize;
  private deserialize;
}
