import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteInstanceEventWindowRequest,
  DeleteInstanceEventWindowResult,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface DeleteInstanceEventWindowCommandInput
  extends DeleteInstanceEventWindowRequest {}
export interface DeleteInstanceEventWindowCommandOutput
  extends DeleteInstanceEventWindowResult,
    __MetadataBearer {}
export declare class DeleteInstanceEventWindowCommand extends $Command<
  DeleteInstanceEventWindowCommandInput,
  DeleteInstanceEventWindowCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteInstanceEventWindowCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteInstanceEventWindowCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteInstanceEventWindowCommandInput,
    DeleteInstanceEventWindowCommandOutput
  >;
  private serialize;
  private deserialize;
}
