import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { DeleteKeyPairRequest, DeleteKeyPairResult } from "../models/models_2";
export { __MetadataBearer, $Command };
export interface DeleteKeyPairCommandInput extends DeleteKeyPairRequest {}
export interface DeleteKeyPairCommandOutput
  extends DeleteKeyPairResult,
    __MetadataBearer {}
export declare class DeleteKeyPairCommand extends $Command<
  DeleteKeyPairCommandInput,
  DeleteKeyPairCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteKeyPairCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteKeyPairCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DeleteKeyPairCommandInput, DeleteKeyPairCommandOutput>;
  private serialize;
  private deserialize;
}
