import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteLocalGatewayRouteRequest,
  DeleteLocalGatewayRouteResult,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface DeleteLocalGatewayRouteCommandInput
  extends DeleteLocalGatewayRouteRequest {}
export interface DeleteLocalGatewayRouteCommandOutput
  extends DeleteLocalGatewayRouteResult,
    __MetadataBearer {}
export declare class DeleteLocalGatewayRouteCommand extends $Command<
  DeleteLocalGatewayRouteCommandInput,
  DeleteLocalGatewayRouteCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteLocalGatewayRouteCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteLocalGatewayRouteCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteLocalGatewayRouteCommandInput,
    DeleteLocalGatewayRouteCommandOutput
  >;
  private serialize;
  private deserialize;
}
