import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteNetworkInsightsPathRequest,
  DeleteNetworkInsightsPathResult,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface DeleteNetworkInsightsPathCommandInput
  extends DeleteNetworkInsightsPathRequest {}
export interface DeleteNetworkInsightsPathCommandOutput
  extends DeleteNetworkInsightsPathResult,
    __MetadataBearer {}
export declare class DeleteNetworkInsightsPathCommand extends $Command<
  DeleteNetworkInsightsPathCommandInput,
  DeleteNetworkInsightsPathCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteNetworkInsightsPathCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteNetworkInsightsPathCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteNetworkInsightsPathCommandInput,
    DeleteNetworkInsightsPathCommandOutput
  >;
  private serialize;
  private deserialize;
}
