import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteTrafficMirrorFilterRequest,
  DeleteTrafficMirrorFilterResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DeleteTrafficMirrorFilterCommandInput
  extends DeleteTrafficMirrorFilterRequest {}
export interface DeleteTrafficMirrorFilterCommandOutput
  extends DeleteTrafficMirrorFilterResult,
    __MetadataBearer {}
export declare class DeleteTrafficMirrorFilterCommand extends $Command<
  DeleteTrafficMirrorFilterCommandInput,
  DeleteTrafficMirrorFilterCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteTrafficMirrorFilterCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteTrafficMirrorFilterCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteTrafficMirrorFilterCommandInput,
    DeleteTrafficMirrorFilterCommandOutput
  >;
  private serialize;
  private deserialize;
}
