import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteTrafficMirrorTargetRequest,
  DeleteTrafficMirrorTargetResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DeleteTrafficMirrorTargetCommandInput
  extends DeleteTrafficMirrorTargetRequest {}
export interface DeleteTrafficMirrorTargetCommandOutput
  extends DeleteTrafficMirrorTargetResult,
    __MetadataBearer {}
export declare class DeleteTrafficMirrorTargetCommand extends $Command<
  DeleteTrafficMirrorTargetCommandInput,
  DeleteTrafficMirrorTargetCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteTrafficMirrorTargetCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteTrafficMirrorTargetCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteTrafficMirrorTargetCommandInput,
    DeleteTrafficMirrorTargetCommandOutput
  >;
  private serialize;
  private deserialize;
}
