import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteTransitGatewayRouteRequest,
  DeleteTransitGatewayRouteResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DeleteTransitGatewayRouteCommandInput
  extends DeleteTransitGatewayRouteRequest {}
export interface DeleteTransitGatewayRouteCommandOutput
  extends DeleteTransitGatewayRouteResult,
    __MetadataBearer {}
export declare class DeleteTransitGatewayRouteCommand extends $Command<
  DeleteTransitGatewayRouteCommandInput,
  DeleteTransitGatewayRouteCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteTransitGatewayRouteCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteTransitGatewayRouteCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteTransitGatewayRouteCommandInput,
    DeleteTransitGatewayRouteCommandOutput
  >;
  private serialize;
  private deserialize;
}
