import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteVerifiedAccessInstanceRequest,
  DeleteVerifiedAccessInstanceResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DeleteVerifiedAccessInstanceCommandInput
  extends DeleteVerifiedAccessInstanceRequest {}
export interface DeleteVerifiedAccessInstanceCommandOutput
  extends DeleteVerifiedAccessInstanceResult,
    __MetadataBearer {}
export declare class DeleteVerifiedAccessInstanceCommand extends $Command<
  DeleteVerifiedAccessInstanceCommandInput,
  DeleteVerifiedAccessInstanceCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteVerifiedAccessInstanceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteVerifiedAccessInstanceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteVerifiedAccessInstanceCommandInput,
    DeleteVerifiedAccessInstanceCommandOutput
  >;
  private serialize;
  private deserialize;
}
