import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeAccountAttributesRequest,
  DescribeAccountAttributesResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DescribeAccountAttributesCommandInput
  extends DescribeAccountAttributesRequest {}
export interface DescribeAccountAttributesCommandOutput
  extends DescribeAccountAttributesResult,
    __MetadataBearer {}
export declare class DescribeAccountAttributesCommand extends $Command<
  DescribeAccountAttributesCommandInput,
  DescribeAccountAttributesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeAccountAttributesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeAccountAttributesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeAccountAttributesCommandInput,
    DescribeAccountAttributesCommandOutput
  >;
  private serialize;
  private deserialize;
}
