import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeAggregateIdFormatRequest,
  DescribeAggregateIdFormatResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DescribeAggregateIdFormatCommandInput
  extends DescribeAggregateIdFormatRequest {}
export interface DescribeAggregateIdFormatCommandOutput
  extends DescribeAggregateIdFormatResult,
    __MetadataBearer {}
export declare class DescribeAggregateIdFormatCommand extends $Command<
  DescribeAggregateIdFormatCommandInput,
  DescribeAggregateIdFormatCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeAggregateIdFormatCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeAggregateIdFormatCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeAggregateIdFormatCommandInput,
    DescribeAggregateIdFormatCommandOutput
  >;
  private serialize;
  private deserialize;
}
