import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeAvailabilityZonesRequest,
  DescribeAvailabilityZonesResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DescribeAvailabilityZonesCommandInput
  extends DescribeAvailabilityZonesRequest {}
export interface DescribeAvailabilityZonesCommandOutput
  extends DescribeAvailabilityZonesResult,
    __MetadataBearer {}
export declare class DescribeAvailabilityZonesCommand extends $Command<
  DescribeAvailabilityZonesCommandInput,
  DescribeAvailabilityZonesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeAvailabilityZonesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeAvailabilityZonesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeAvailabilityZonesCommandInput,
    DescribeAvailabilityZonesCommandOutput
  >;
  private serialize;
  private deserialize;
}
