import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeClientVpnEndpointsRequest,
  DescribeClientVpnEndpointsResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DescribeClientVpnEndpointsCommandInput
  extends DescribeClientVpnEndpointsRequest {}
export interface DescribeClientVpnEndpointsCommandOutput
  extends DescribeClientVpnEndpointsResult,
    __MetadataBearer {}
export declare class DescribeClientVpnEndpointsCommand extends $Command<
  DescribeClientVpnEndpointsCommandInput,
  DescribeClientVpnEndpointsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeClientVpnEndpointsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeClientVpnEndpointsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeClientVpnEndpointsCommandInput,
    DescribeClientVpnEndpointsCommandOutput
  >;
  private serialize;
  private deserialize;
}
