import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeExportTasksRequest,
  DescribeExportTasksResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DescribeExportTasksCommandInput
  extends DescribeExportTasksRequest {}
export interface DescribeExportTasksCommandOutput
  extends DescribeExportTasksResult,
    __MetadataBearer {}
export declare class DescribeExportTasksCommand extends $Command<
  DescribeExportTasksCommandInput,
  DescribeExportTasksCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeExportTasksCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeExportTasksCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DescribeExportTasksCommandInput, DescribeExportTasksCommandOutput>;
  private serialize;
  private deserialize;
}
