import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeFleetHistoryRequest,
  DescribeFleetHistoryResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DescribeFleetHistoryCommandInput
  extends DescribeFleetHistoryRequest {}
export interface DescribeFleetHistoryCommandOutput
  extends DescribeFleetHistoryResult,
    __MetadataBearer {}
export declare class DescribeFleetHistoryCommand extends $Command<
  DescribeFleetHistoryCommandInput,
  DescribeFleetHistoryCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeFleetHistoryCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeFleetHistoryCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeFleetHistoryCommandInput,
    DescribeFleetHistoryCommandOutput
  >;
  private serialize;
  private deserialize;
}
