import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeFpgaImageAttributeRequest,
  DescribeFpgaImageAttributeResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DescribeFpgaImageAttributeCommandInput
  extends DescribeFpgaImageAttributeRequest {}
export interface DescribeFpgaImageAttributeCommandOutput
  extends DescribeFpgaImageAttributeResult,
    __MetadataBearer {}
export declare class DescribeFpgaImageAttributeCommand extends $Command<
  DescribeFpgaImageAttributeCommandInput,
  DescribeFpgaImageAttributeCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeFpgaImageAttributeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeFpgaImageAttributeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeFpgaImageAttributeCommandInput,
    DescribeFpgaImageAttributeCommandOutput
  >;
  private serialize;
  private deserialize;
}
