import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeImportImageTasksRequest,
  DescribeImportImageTasksResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DescribeImportImageTasksCommandInput
  extends DescribeImportImageTasksRequest {}
export interface DescribeImportImageTasksCommandOutput
  extends DescribeImportImageTasksResult,
    __MetadataBearer {}
export declare class DescribeImportImageTasksCommand extends $Command<
  DescribeImportImageTasksCommandInput,
  DescribeImportImageTasksCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeImportImageTasksCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeImportImageTasksCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeImportImageTasksCommandInput,
    DescribeImportImageTasksCommandOutput
  >;
  private serialize;
  private deserialize;
}
