import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeInstanceConnectEndpointsRequest,
  DescribeInstanceConnectEndpointsResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DescribeInstanceConnectEndpointsCommandInput
  extends DescribeInstanceConnectEndpointsRequest {}
export interface DescribeInstanceConnectEndpointsCommandOutput
  extends DescribeInstanceConnectEndpointsResult,
    __MetadataBearer {}
export declare class DescribeInstanceConnectEndpointsCommand extends $Command<
  DescribeInstanceConnectEndpointsCommandInput,
  DescribeInstanceConnectEndpointsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeInstanceConnectEndpointsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeInstanceConnectEndpointsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeInstanceConnectEndpointsCommandInput,
    DescribeInstanceConnectEndpointsCommandOutput
  >;
  private serialize;
  private deserialize;
}
