import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeInstanceEventWindowsRequest,
  DescribeInstanceEventWindowsResult,
} from "../models/models_3";
export { __MetadataBearer, $Command };
export interface DescribeInstanceEventWindowsCommandInput
  extends DescribeInstanceEventWindowsRequest {}
export interface DescribeInstanceEventWindowsCommandOutput
  extends DescribeInstanceEventWindowsResult,
    __MetadataBearer {}
export declare class DescribeInstanceEventWindowsCommand extends $Command<
  DescribeInstanceEventWindowsCommandInput,
  DescribeInstanceEventWindowsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeInstanceEventWindowsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeInstanceEventWindowsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeInstanceEventWindowsCommandInput,
    DescribeInstanceEventWindowsCommandOutput
  >;
  private serialize;
  private deserialize;
}
