import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeInstanceTypesRequest,
  DescribeInstanceTypesResult,
} from "../models/models_4";
export { __MetadataBearer, $Command };
export interface DescribeInstanceTypesCommandInput
  extends DescribeInstanceTypesRequest {}
export interface DescribeInstanceTypesCommandOutput
  extends DescribeInstanceTypesResult,
    __MetadataBearer {}
export declare class DescribeInstanceTypesCommand extends $Command<
  DescribeInstanceTypesCommandInput,
  DescribeInstanceTypesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeInstanceTypesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeInstanceTypesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeInstanceTypesCommandInput,
    DescribeInstanceTypesCommandOutput
  >;
  private serialize;
  private deserialize;
}
