import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { DescribeInstancesRequest } from "../models/models_3";
import { DescribeInstancesResult } from "../models/models_4";
export { __MetadataBearer, $Command };
export interface DescribeInstancesCommandInput
  extends DescribeInstancesRequest {}
export interface DescribeInstancesCommandOutput
  extends DescribeInstancesResult,
    __MetadataBearer {}
export declare class DescribeInstancesCommand extends $Command<
  DescribeInstancesCommandInput,
  DescribeInstancesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeInstancesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeInstancesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DescribeInstancesCommandInput, DescribeInstancesCommandOutput>;
  private serialize;
  private deserialize;
}
