import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeInternetGatewaysRequest,
  DescribeInternetGatewaysResult,
} from "../models/models_4";
export { __MetadataBearer, $Command };
export interface DescribeInternetGatewaysCommandInput
  extends DescribeInternetGatewaysRequest {}
export interface DescribeInternetGatewaysCommandOutput
  extends DescribeInternetGatewaysResult,
    __MetadataBearer {}
export declare class DescribeInternetGatewaysCommand extends $Command<
  DescribeInternetGatewaysCommandInput,
  DescribeInternetGatewaysCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeInternetGatewaysCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeInternetGatewaysCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeInternetGatewaysCommandInput,
    DescribeInternetGatewaysCommandOutput
  >;
  private serialize;
  private deserialize;
}
