import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeMovingAddressesRequest,
  DescribeMovingAddressesResult,
} from "../models/models_4";
export { __MetadataBearer, $Command };
export interface DescribeMovingAddressesCommandInput
  extends DescribeMovingAddressesRequest {}
export interface DescribeMovingAddressesCommandOutput
  extends DescribeMovingAddressesResult,
    __MetadataBearer {}
export declare class DescribeMovingAddressesCommand extends $Command<
  DescribeMovingAddressesCommandInput,
  DescribeMovingAddressesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeMovingAddressesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeMovingAddressesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeMovingAddressesCommandInput,
    DescribeMovingAddressesCommandOutput
  >;
  private serialize;
  private deserialize;
}
