import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribePrincipalIdFormatRequest,
  DescribePrincipalIdFormatResult,
} from "../models/models_4";
export { __MetadataBearer, $Command };
export interface DescribePrincipalIdFormatCommandInput
  extends DescribePrincipalIdFormatRequest {}
export interface DescribePrincipalIdFormatCommandOutput
  extends DescribePrincipalIdFormatResult,
    __MetadataBearer {}
export declare class DescribePrincipalIdFormatCommand extends $Command<
  DescribePrincipalIdFormatCommandInput,
  DescribePrincipalIdFormatCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribePrincipalIdFormatCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribePrincipalIdFormatCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribePrincipalIdFormatCommandInput,
    DescribePrincipalIdFormatCommandOutput
  >;
  private serialize;
  private deserialize;
}
