import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeReplaceRootVolumeTasksRequest,
  DescribeReplaceRootVolumeTasksResult,
} from "../models/models_4";
export { __MetadataBearer, $Command };
export interface DescribeReplaceRootVolumeTasksCommandInput
  extends DescribeReplaceRootVolumeTasksRequest {}
export interface DescribeReplaceRootVolumeTasksCommandOutput
  extends DescribeReplaceRootVolumeTasksResult,
    __MetadataBearer {}
export declare class DescribeReplaceRootVolumeTasksCommand extends $Command<
  DescribeReplaceRootVolumeTasksCommandInput,
  DescribeReplaceRootVolumeTasksCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeReplaceRootVolumeTasksCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeReplaceRootVolumeTasksCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeReplaceRootVolumeTasksCommandInput,
    DescribeReplaceRootVolumeTasksCommandOutput
  >;
  private serialize;
  private deserialize;
}
