import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeSecurityGroupRulesRequest,
  DescribeSecurityGroupRulesResult,
} from "../models/models_4";
export { __MetadataBearer, $Command };
export interface DescribeSecurityGroupRulesCommandInput
  extends DescribeSecurityGroupRulesRequest {}
export interface DescribeSecurityGroupRulesCommandOutput
  extends DescribeSecurityGroupRulesResult,
    __MetadataBearer {}
export declare class DescribeSecurityGroupRulesCommand extends $Command<
  DescribeSecurityGroupRulesCommandInput,
  DescribeSecurityGroupRulesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeSecurityGroupRulesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeSecurityGroupRulesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeSecurityGroupRulesCommandInput,
    DescribeSecurityGroupRulesCommandOutput
  >;
  private serialize;
  private deserialize;
}
