import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeSpotFleetRequestsRequest,
  DescribeSpotFleetRequestsResponse,
} from "../models/models_4";
export { __MetadataBearer, $Command };
export interface DescribeSpotFleetRequestsCommandInput
  extends DescribeSpotFleetRequestsRequest {}
export interface DescribeSpotFleetRequestsCommandOutput
  extends DescribeSpotFleetRequestsResponse,
    __MetadataBearer {}
export declare class DescribeSpotFleetRequestsCommand extends $Command<
  DescribeSpotFleetRequestsCommandInput,
  DescribeSpotFleetRequestsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeSpotFleetRequestsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeSpotFleetRequestsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeSpotFleetRequestsCommandInput,
    DescribeSpotFleetRequestsCommandOutput
  >;
  private serialize;
  private deserialize;
}
