import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeTrafficMirrorFiltersRequest,
  DescribeTrafficMirrorFiltersResult,
} from "../models/models_4";
export { __MetadataBearer, $Command };
export interface DescribeTrafficMirrorFiltersCommandInput
  extends DescribeTrafficMirrorFiltersRequest {}
export interface DescribeTrafficMirrorFiltersCommandOutput
  extends DescribeTrafficMirrorFiltersResult,
    __MetadataBearer {}
export declare class DescribeTrafficMirrorFiltersCommand extends $Command<
  DescribeTrafficMirrorFiltersCommandInput,
  DescribeTrafficMirrorFiltersCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeTrafficMirrorFiltersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeTrafficMirrorFiltersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeTrafficMirrorFiltersCommandInput,
    DescribeTrafficMirrorFiltersCommandOutput
  >;
  private serialize;
  private deserialize;
}
