import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeVerifiedAccessTrustProvidersRequest,
  DescribeVerifiedAccessTrustProvidersResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface DescribeVerifiedAccessTrustProvidersCommandInput
  extends DescribeVerifiedAccessTrustProvidersRequest {}
export interface DescribeVerifiedAccessTrustProvidersCommandOutput
  extends DescribeVerifiedAccessTrustProvidersResult,
    __MetadataBearer {}
export declare class DescribeVerifiedAccessTrustProvidersCommand extends $Command<
  DescribeVerifiedAccessTrustProvidersCommandInput,
  DescribeVerifiedAccessTrustProvidersCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeVerifiedAccessTrustProvidersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeVerifiedAccessTrustProvidersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeVerifiedAccessTrustProvidersCommandInput,
    DescribeVerifiedAccessTrustProvidersCommandOutput
  >;
  private serialize;
  private deserialize;
}
