import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DisableFastLaunchRequest,
  DisableFastLaunchResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface DisableFastLaunchCommandInput
  extends DisableFastLaunchRequest {}
export interface DisableFastLaunchCommandOutput
  extends DisableFastLaunchResult,
    __MetadataBearer {}
export declare class DisableFastLaunchCommand extends $Command<
  DisableFastLaunchCommandInput,
  DisableFastLaunchCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisableFastLaunchCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisableFastLaunchCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DisableFastLaunchCommandInput, DisableFastLaunchCommandOutput>;
  private serialize;
  private deserialize;
}
