import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { DisableVgwRoutePropagationRequest } from "../models/models_5";
export { __MetadataBearer, $Command };
export interface DisableVgwRoutePropagationCommandInput
  extends DisableVgwRoutePropagationRequest {}
export interface DisableVgwRoutePropagationCommandOutput
  extends __MetadataBearer {}
export declare class DisableVgwRoutePropagationCommand extends $Command<
  DisableVgwRoutePropagationCommandInput,
  DisableVgwRoutePropagationCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisableVgwRoutePropagationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisableVgwRoutePropagationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisableVgwRoutePropagationCommandInput,
    DisableVgwRoutePropagationCommandOutput
  >;
  private serialize;
  private deserialize;
}
