import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DisableVpcClassicLinkRequest,
  DisableVpcClassicLinkResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface DisableVpcClassicLinkCommandInput
  extends DisableVpcClassicLinkRequest {}
export interface DisableVpcClassicLinkCommandOutput
  extends DisableVpcClassicLinkResult,
    __MetadataBearer {}
export declare class DisableVpcClassicLinkCommand extends $Command<
  DisableVpcClassicLinkCommandInput,
  DisableVpcClassicLinkCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisableVpcClassicLinkCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisableVpcClassicLinkCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisableVpcClassicLinkCommandInput,
    DisableVpcClassicLinkCommandOutput
  >;
  private serialize;
  private deserialize;
}
