import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DisassociateInstanceEventWindowRequest,
  DisassociateInstanceEventWindowResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface DisassociateInstanceEventWindowCommandInput
  extends DisassociateInstanceEventWindowRequest {}
export interface DisassociateInstanceEventWindowCommandOutput
  extends DisassociateInstanceEventWindowResult,
    __MetadataBearer {}
export declare class DisassociateInstanceEventWindowCommand extends $Command<
  DisassociateInstanceEventWindowCommandInput,
  DisassociateInstanceEventWindowCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisassociateInstanceEventWindowCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisassociateInstanceEventWindowCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisassociateInstanceEventWindowCommandInput,
    DisassociateInstanceEventWindowCommandOutput
  >;
  private serialize;
  private deserialize;
}
