import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DisassociateNatGatewayAddressRequest,
  DisassociateNatGatewayAddressResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface DisassociateNatGatewayAddressCommandInput
  extends DisassociateNatGatewayAddressRequest {}
export interface DisassociateNatGatewayAddressCommandOutput
  extends DisassociateNatGatewayAddressResult,
    __MetadataBearer {}
export declare class DisassociateNatGatewayAddressCommand extends $Command<
  DisassociateNatGatewayAddressCommandInput,
  DisassociateNatGatewayAddressCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisassociateNatGatewayAddressCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisassociateNatGatewayAddressCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisassociateNatGatewayAddressCommandInput,
    DisassociateNatGatewayAddressCommandOutput
  >;
  private serialize;
  private deserialize;
}
