import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { DisassociateRouteTableRequest } from "../models/models_5";
export { __MetadataBearer, $Command };
export interface DisassociateRouteTableCommandInput
  extends DisassociateRouteTableRequest {}
export interface DisassociateRouteTableCommandOutput extends __MetadataBearer {}
export declare class DisassociateRouteTableCommand extends $Command<
  DisassociateRouteTableCommandInput,
  DisassociateRouteTableCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisassociateRouteTableCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisassociateRouteTableCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisassociateRouteTableCommandInput,
    DisassociateRouteTableCommandOutput
  >;
  private serialize;
  private deserialize;
}
