import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DisassociateTransitGatewayPolicyTableRequest,
  DisassociateTransitGatewayPolicyTableResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface DisassociateTransitGatewayPolicyTableCommandInput
  extends DisassociateTransitGatewayPolicyTableRequest {}
export interface DisassociateTransitGatewayPolicyTableCommandOutput
  extends DisassociateTransitGatewayPolicyTableResult,
    __MetadataBearer {}
export declare class DisassociateTransitGatewayPolicyTableCommand extends $Command<
  DisassociateTransitGatewayPolicyTableCommandInput,
  DisassociateTransitGatewayPolicyTableCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisassociateTransitGatewayPolicyTableCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisassociateTransitGatewayPolicyTableCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisassociateTransitGatewayPolicyTableCommandInput,
    DisassociateTransitGatewayPolicyTableCommandOutput
  >;
  private serialize;
  private deserialize;
}
