import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DisassociateTrunkInterfaceRequest,
  DisassociateTrunkInterfaceResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface DisassociateTrunkInterfaceCommandInput
  extends DisassociateTrunkInterfaceRequest {}
export interface DisassociateTrunkInterfaceCommandOutput
  extends DisassociateTrunkInterfaceResult,
    __MetadataBearer {}
export declare class DisassociateTrunkInterfaceCommand extends $Command<
  DisassociateTrunkInterfaceCommandInput,
  DisassociateTrunkInterfaceCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisassociateTrunkInterfaceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisassociateTrunkInterfaceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisassociateTrunkInterfaceCommandInput,
    DisassociateTrunkInterfaceCommandOutput
  >;
  private serialize;
  private deserialize;
}
