import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DisassociateVpcCidrBlockRequest,
  DisassociateVpcCidrBlockResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface DisassociateVpcCidrBlockCommandInput
  extends DisassociateVpcCidrBlockRequest {}
export interface DisassociateVpcCidrBlockCommandOutput
  extends DisassociateVpcCidrBlockResult,
    __MetadataBearer {}
export declare class DisassociateVpcCidrBlockCommand extends $Command<
  DisassociateVpcCidrBlockCommandInput,
  DisassociateVpcCidrBlockCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisassociateVpcCidrBlockCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisassociateVpcCidrBlockCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisassociateVpcCidrBlockCommandInput,
    DisassociateVpcCidrBlockCommandOutput
  >;
  private serialize;
  private deserialize;
}
