import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  EnableAddressTransferRequest,
  EnableAddressTransferResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface EnableAddressTransferCommandInput
  extends EnableAddressTransferRequest {}
export interface EnableAddressTransferCommandOutput
  extends EnableAddressTransferResult,
    __MetadataBearer {}
export declare class EnableAddressTransferCommand extends $Command<
  EnableAddressTransferCommandInput,
  EnableAddressTransferCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: EnableAddressTransferCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: EnableAddressTransferCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    EnableAddressTransferCommandInput,
    EnableAddressTransferCommandOutput
  >;
  private serialize;
  private deserialize;
}
