import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  EnableFastLaunchRequest,
  EnableFastLaunchResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface EnableFastLaunchCommandInput extends EnableFastLaunchRequest {}
export interface EnableFastLaunchCommandOutput
  extends EnableFastLaunchResult,
    __MetadataBearer {}
export declare class EnableFastLaunchCommand extends $Command<
  EnableFastLaunchCommandInput,
  EnableFastLaunchCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: EnableFastLaunchCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: EnableFastLaunchCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<EnableFastLaunchCommandInput, EnableFastLaunchCommandOutput>;
  private serialize;
  private deserialize;
}
