import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  EnableImageDeprecationRequest,
  EnableImageDeprecationResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface EnableImageDeprecationCommandInput
  extends EnableImageDeprecationRequest {}
export interface EnableImageDeprecationCommandOutput
  extends EnableImageDeprecationResult,
    __MetadataBearer {}
export declare class EnableImageDeprecationCommand extends $Command<
  EnableImageDeprecationCommandInput,
  EnableImageDeprecationCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: EnableImageDeprecationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: EnableImageDeprecationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    EnableImageDeprecationCommandInput,
    EnableImageDeprecationCommandOutput
  >;
  private serialize;
  private deserialize;
}
