import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  EnableIpamOrganizationAdminAccountRequest,
  EnableIpamOrganizationAdminAccountResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface EnableIpamOrganizationAdminAccountCommandInput
  extends EnableIpamOrganizationAdminAccountRequest {}
export interface EnableIpamOrganizationAdminAccountCommandOutput
  extends EnableIpamOrganizationAdminAccountResult,
    __MetadataBearer {}
export declare class EnableIpamOrganizationAdminAccountCommand extends $Command<
  EnableIpamOrganizationAdminAccountCommandInput,
  EnableIpamOrganizationAdminAccountCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: EnableIpamOrganizationAdminAccountCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: EnableIpamOrganizationAdminAccountCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    EnableIpamOrganizationAdminAccountCommandInput,
    EnableIpamOrganizationAdminAccountCommandOutput
  >;
  private serialize;
  private deserialize;
}
