import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { EnableVgwRoutePropagationRequest } from "../models/models_5";
export { __MetadataBearer, $Command };
export interface EnableVgwRoutePropagationCommandInput
  extends EnableVgwRoutePropagationRequest {}
export interface EnableVgwRoutePropagationCommandOutput
  extends __MetadataBearer {}
export declare class EnableVgwRoutePropagationCommand extends $Command<
  EnableVgwRoutePropagationCommandInput,
  EnableVgwRoutePropagationCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: EnableVgwRoutePropagationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: EnableVgwRoutePropagationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    EnableVgwRoutePropagationCommandInput,
    EnableVgwRoutePropagationCommandOutput
  >;
  private serialize;
  private deserialize;
}
