import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  EnableVpcClassicLinkRequest,
  EnableVpcClassicLinkResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface EnableVpcClassicLinkCommandInput
  extends EnableVpcClassicLinkRequest {}
export interface EnableVpcClassicLinkCommandOutput
  extends EnableVpcClassicLinkResult,
    __MetadataBearer {}
export declare class EnableVpcClassicLinkCommand extends $Command<
  EnableVpcClassicLinkCommandInput,
  EnableVpcClassicLinkCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: EnableVpcClassicLinkCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: EnableVpcClassicLinkCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    EnableVpcClassicLinkCommandInput,
    EnableVpcClassicLinkCommandOutput
  >;
  private serialize;
  private deserialize;
}
