import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  GetFlowLogsIntegrationTemplateRequest,
  GetFlowLogsIntegrationTemplateResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface GetFlowLogsIntegrationTemplateCommandInput
  extends GetFlowLogsIntegrationTemplateRequest {}
export interface GetFlowLogsIntegrationTemplateCommandOutput
  extends GetFlowLogsIntegrationTemplateResult,
    __MetadataBearer {}
export declare class GetFlowLogsIntegrationTemplateCommand extends $Command<
  GetFlowLogsIntegrationTemplateCommandInput,
  GetFlowLogsIntegrationTemplateCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: GetFlowLogsIntegrationTemplateCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetFlowLogsIntegrationTemplateCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetFlowLogsIntegrationTemplateCommandInput,
    GetFlowLogsIntegrationTemplateCommandOutput
  >;
  private serialize;
  private deserialize;
}
