import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  GetInstanceTypesFromInstanceRequirementsRequest,
  GetInstanceTypesFromInstanceRequirementsResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface GetInstanceTypesFromInstanceRequirementsCommandInput
  extends GetInstanceTypesFromInstanceRequirementsRequest {}
export interface GetInstanceTypesFromInstanceRequirementsCommandOutput
  extends GetInstanceTypesFromInstanceRequirementsResult,
    __MetadataBearer {}
export declare class GetInstanceTypesFromInstanceRequirementsCommand extends $Command<
  GetInstanceTypesFromInstanceRequirementsCommandInput,
  GetInstanceTypesFromInstanceRequirementsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: GetInstanceTypesFromInstanceRequirementsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetInstanceTypesFromInstanceRequirementsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetInstanceTypesFromInstanceRequirementsCommandInput,
    GetInstanceTypesFromInstanceRequirementsCommandOutput
  >;
  private serialize;
  private deserialize;
}
