import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  GetIpamDiscoveredAccountsRequest,
  GetIpamDiscoveredAccountsResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface GetIpamDiscoveredAccountsCommandInput
  extends GetIpamDiscoveredAccountsRequest {}
export interface GetIpamDiscoveredAccountsCommandOutput
  extends GetIpamDiscoveredAccountsResult,
    __MetadataBearer {}
export declare class GetIpamDiscoveredAccountsCommand extends $Command<
  GetIpamDiscoveredAccountsCommandInput,
  GetIpamDiscoveredAccountsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: GetIpamDiscoveredAccountsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetIpamDiscoveredAccountsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetIpamDiscoveredAccountsCommandInput,
    GetIpamDiscoveredAccountsCommandOutput
  >;
  private serialize;
  private deserialize;
}
