import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  GetIpamDiscoveredResourceCidrsRequest,
  GetIpamDiscoveredResourceCidrsResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface GetIpamDiscoveredResourceCidrsCommandInput
  extends GetIpamDiscoveredResourceCidrsRequest {}
export interface GetIpamDiscoveredResourceCidrsCommandOutput
  extends GetIpamDiscoveredResourceCidrsResult,
    __MetadataBearer {}
export declare class GetIpamDiscoveredResourceCidrsCommand extends $Command<
  GetIpamDiscoveredResourceCidrsCommandInput,
  GetIpamDiscoveredResourceCidrsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: GetIpamDiscoveredResourceCidrsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetIpamDiscoveredResourceCidrsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetIpamDiscoveredResourceCidrsCommandInput,
    GetIpamDiscoveredResourceCidrsCommandOutput
  >;
  private serialize;
  private deserialize;
}
