import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  GetIpamPoolAllocationsRequest,
  GetIpamPoolAllocationsResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface GetIpamPoolAllocationsCommandInput
  extends GetIpamPoolAllocationsRequest {}
export interface GetIpamPoolAllocationsCommandOutput
  extends GetIpamPoolAllocationsResult,
    __MetadataBearer {}
export declare class GetIpamPoolAllocationsCommand extends $Command<
  GetIpamPoolAllocationsCommandInput,
  GetIpamPoolAllocationsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: GetIpamPoolAllocationsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetIpamPoolAllocationsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetIpamPoolAllocationsCommandInput,
    GetIpamPoolAllocationsCommandOutput
  >;
  private serialize;
  private deserialize;
}
