import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  GetIpamResourceCidrsRequest,
  GetIpamResourceCidrsResult,
} from "../models/models_5";
export { __MetadataBearer, $Command };
export interface GetIpamResourceCidrsCommandInput
  extends GetIpamResourceCidrsRequest {}
export interface GetIpamResourceCidrsCommandOutput
  extends GetIpamResourceCidrsResult,
    __MetadataBearer {}
export declare class GetIpamResourceCidrsCommand extends $Command<
  GetIpamResourceCidrsCommandInput,
  GetIpamResourceCidrsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: GetIpamResourceCidrsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetIpamResourceCidrsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetIpamResourceCidrsCommandInput,
    GetIpamResourceCidrsCommandOutput
  >;
  private serialize;
  private deserialize;
}
