import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyCapacityReservationRequest,
  ModifyCapacityReservationResult,
} from "../models/models_6";
export { __MetadataBearer, $Command };
export interface ModifyCapacityReservationCommandInput
  extends ModifyCapacityReservationRequest {}
export interface ModifyCapacityReservationCommandOutput
  extends ModifyCapacityReservationResult,
    __MetadataBearer {}
export declare class ModifyCapacityReservationCommand extends $Command<
  ModifyCapacityReservationCommandInput,
  ModifyCapacityReservationCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyCapacityReservationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyCapacityReservationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyCapacityReservationCommandInput,
    ModifyCapacityReservationCommandOutput
  >;
  private serialize;
  private deserialize;
}
