import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { ModifyFleetRequest, ModifyFleetResult } from "../models/models_6";
export { __MetadataBearer, $Command };
export interface ModifyFleetCommandInput extends ModifyFleetRequest {}
export interface ModifyFleetCommandOutput
  extends ModifyFleetResult,
    __MetadataBearer {}
export declare class ModifyFleetCommand extends $Command<
  ModifyFleetCommandInput,
  ModifyFleetCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyFleetCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyFleetCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ModifyFleetCommandInput, ModifyFleetCommandOutput>;
  private serialize;
  private deserialize;
}
