import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyInstancePlacementRequest,
  ModifyInstancePlacementResult,
} from "../models/models_6";
export { __MetadataBearer, $Command };
export interface ModifyInstancePlacementCommandInput
  extends ModifyInstancePlacementRequest {}
export interface ModifyInstancePlacementCommandOutput
  extends ModifyInstancePlacementResult,
    __MetadataBearer {}
export declare class ModifyInstancePlacementCommand extends $Command<
  ModifyInstancePlacementCommandInput,
  ModifyInstancePlacementCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyInstancePlacementCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyInstancePlacementCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyInstancePlacementCommandInput,
    ModifyInstancePlacementCommandOutput
  >;
  private serialize;
  private deserialize;
}
