import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyLocalGatewayRouteRequest,
  ModifyLocalGatewayRouteResult,
} from "../models/models_6";
export { __MetadataBearer, $Command };
export interface ModifyLocalGatewayRouteCommandInput
  extends ModifyLocalGatewayRouteRequest {}
export interface ModifyLocalGatewayRouteCommandOutput
  extends ModifyLocalGatewayRouteResult,
    __MetadataBearer {}
export declare class ModifyLocalGatewayRouteCommand extends $Command<
  ModifyLocalGatewayRouteCommandInput,
  ModifyLocalGatewayRouteCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyLocalGatewayRouteCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyLocalGatewayRouteCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyLocalGatewayRouteCommandInput,
    ModifyLocalGatewayRouteCommandOutput
  >;
  private serialize;
  private deserialize;
}
