import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { ModifyNetworkInterfaceAttributeRequest } from "../models/models_6";
export { __MetadataBearer, $Command };
export interface ModifyNetworkInterfaceAttributeCommandInput
  extends ModifyNetworkInterfaceAttributeRequest {}
export interface ModifyNetworkInterfaceAttributeCommandOutput
  extends __MetadataBearer {}
export declare class ModifyNetworkInterfaceAttributeCommand extends $Command<
  ModifyNetworkInterfaceAttributeCommandInput,
  ModifyNetworkInterfaceAttributeCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyNetworkInterfaceAttributeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyNetworkInterfaceAttributeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyNetworkInterfaceAttributeCommandInput,
    ModifyNetworkInterfaceAttributeCommandOutput
  >;
  private serialize;
  private deserialize;
}
