import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyReservedInstancesRequest,
  ModifyReservedInstancesResult,
} from "../models/models_6";
export { __MetadataBearer, $Command };
export interface ModifyReservedInstancesCommandInput
  extends ModifyReservedInstancesRequest {}
export interface ModifyReservedInstancesCommandOutput
  extends ModifyReservedInstancesResult,
    __MetadataBearer {}
export declare class ModifyReservedInstancesCommand extends $Command<
  ModifyReservedInstancesCommandInput,
  ModifyReservedInstancesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyReservedInstancesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyReservedInstancesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyReservedInstancesCommandInput,
    ModifyReservedInstancesCommandOutput
  >;
  private serialize;
  private deserialize;
}
