import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifySecurityGroupRulesRequest,
  ModifySecurityGroupRulesResult,
} from "../models/models_6";
export { __MetadataBearer, $Command };
export interface ModifySecurityGroupRulesCommandInput
  extends ModifySecurityGroupRulesRequest {}
export interface ModifySecurityGroupRulesCommandOutput
  extends ModifySecurityGroupRulesResult,
    __MetadataBearer {}
export declare class ModifySecurityGroupRulesCommand extends $Command<
  ModifySecurityGroupRulesCommandInput,
  ModifySecurityGroupRulesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifySecurityGroupRulesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifySecurityGroupRulesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifySecurityGroupRulesCommandInput,
    ModifySecurityGroupRulesCommandOutput
  >;
  private serialize;
  private deserialize;
}
