import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifySnapshotTierRequest,
  ModifySnapshotTierResult,
} from "../models/models_6";
export { __MetadataBearer, $Command };
export interface ModifySnapshotTierCommandInput
  extends ModifySnapshotTierRequest {}
export interface ModifySnapshotTierCommandOutput
  extends ModifySnapshotTierResult,
    __MetadataBearer {}
export declare class ModifySnapshotTierCommand extends $Command<
  ModifySnapshotTierCommandInput,
  ModifySnapshotTierCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifySnapshotTierCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifySnapshotTierCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ModifySnapshotTierCommandInput, ModifySnapshotTierCommandOutput>;
  private serialize;
  private deserialize;
}
