import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { ModifySubnetAttributeRequest } from "../models/models_6";
export { __MetadataBearer, $Command };
export interface ModifySubnetAttributeCommandInput
  extends ModifySubnetAttributeRequest {}
export interface ModifySubnetAttributeCommandOutput extends __MetadataBearer {}
export declare class ModifySubnetAttributeCommand extends $Command<
  ModifySubnetAttributeCommandInput,
  ModifySubnetAttributeCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifySubnetAttributeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifySubnetAttributeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifySubnetAttributeCommandInput,
    ModifySubnetAttributeCommandOutput
  >;
  private serialize;
  private deserialize;
}
