import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyVerifiedAccessInstanceRequest,
  ModifyVerifiedAccessInstanceResult,
} from "../models/models_6";
export { __MetadataBearer, $Command };
export interface ModifyVerifiedAccessInstanceCommandInput
  extends ModifyVerifiedAccessInstanceRequest {}
export interface ModifyVerifiedAccessInstanceCommandOutput
  extends ModifyVerifiedAccessInstanceResult,
    __MetadataBearer {}
export declare class ModifyVerifiedAccessInstanceCommand extends $Command<
  ModifyVerifiedAccessInstanceCommandInput,
  ModifyVerifiedAccessInstanceCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyVerifiedAccessInstanceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyVerifiedAccessInstanceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyVerifiedAccessInstanceCommandInput,
    ModifyVerifiedAccessInstanceCommandOutput
  >;
  private serialize;
  private deserialize;
}
