import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { ModifyVolumeAttributeRequest } from "../models/models_6";
export { __MetadataBearer, $Command };
export interface ModifyVolumeAttributeCommandInput
  extends ModifyVolumeAttributeRequest {}
export interface ModifyVolumeAttributeCommandOutput extends __MetadataBearer {}
export declare class ModifyVolumeAttributeCommand extends $Command<
  ModifyVolumeAttributeCommandInput,
  ModifyVolumeAttributeCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyVolumeAttributeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyVolumeAttributeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyVolumeAttributeCommandInput,
    ModifyVolumeAttributeCommandOutput
  >;
  private serialize;
  private deserialize;
}
