import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyVpnTunnelOptionsRequest,
  ModifyVpnTunnelOptionsResult,
} from "../models/models_6";
export { __MetadataBearer, $Command };
export interface ModifyVpnTunnelOptionsCommandInput
  extends ModifyVpnTunnelOptionsRequest {}
export interface ModifyVpnTunnelOptionsCommandOutput
  extends ModifyVpnTunnelOptionsResult,
    __MetadataBearer {}
export declare class ModifyVpnTunnelOptionsCommand extends $Command<
  ModifyVpnTunnelOptionsCommandInput,
  ModifyVpnTunnelOptionsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyVpnTunnelOptionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyVpnTunnelOptionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyVpnTunnelOptionsCommandInput,
    ModifyVpnTunnelOptionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
