import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  MoveAddressToVpcRequest,
  MoveAddressToVpcResult,
} from "../models/models_6";
export { __MetadataBearer, $Command };
export interface MoveAddressToVpcCommandInput extends MoveAddressToVpcRequest {}
export interface MoveAddressToVpcCommandOutput
  extends MoveAddressToVpcResult,
    __MetadataBearer {}
export declare class MoveAddressToVpcCommand extends $Command<
  MoveAddressToVpcCommandInput,
  MoveAddressToVpcCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: MoveAddressToVpcCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: MoveAddressToVpcCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<MoveAddressToVpcCommandInput, MoveAddressToVpcCommandOutput>;
  private serialize;
  private deserialize;
}
