import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  PurchaseReservedInstancesOfferingRequest,
  PurchaseReservedInstancesOfferingResult,
} from "../models/models_6";
export { __MetadataBearer, $Command };
export interface PurchaseReservedInstancesOfferingCommandInput
  extends PurchaseReservedInstancesOfferingRequest {}
export interface PurchaseReservedInstancesOfferingCommandOutput
  extends PurchaseReservedInstancesOfferingResult,
    __MetadataBearer {}
export declare class PurchaseReservedInstancesOfferingCommand extends $Command<
  PurchaseReservedInstancesOfferingCommandInput,
  PurchaseReservedInstancesOfferingCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: PurchaseReservedInstancesOfferingCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PurchaseReservedInstancesOfferingCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PurchaseReservedInstancesOfferingCommandInput,
    PurchaseReservedInstancesOfferingCommandOutput
  >;
  private serialize;
  private deserialize;
}
