import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  RejectVpcPeeringConnectionRequest,
  RejectVpcPeeringConnectionResult,
} from "../models/models_6";
export { __MetadataBearer, $Command };
export interface RejectVpcPeeringConnectionCommandInput
  extends RejectVpcPeeringConnectionRequest {}
export interface RejectVpcPeeringConnectionCommandOutput
  extends RejectVpcPeeringConnectionResult,
    __MetadataBearer {}
export declare class RejectVpcPeeringConnectionCommand extends $Command<
  RejectVpcPeeringConnectionCommandInput,
  RejectVpcPeeringConnectionCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: RejectVpcPeeringConnectionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RejectVpcPeeringConnectionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RejectVpcPeeringConnectionCommandInput,
    RejectVpcPeeringConnectionCommandOutput
  >;
  private serialize;
  private deserialize;
}
