import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ReleaseIpamPoolAllocationRequest,
  ReleaseIpamPoolAllocationResult,
} from "../models/models_6";
export { __MetadataBearer, $Command };
export interface ReleaseIpamPoolAllocationCommandInput
  extends ReleaseIpamPoolAllocationRequest {}
export interface ReleaseIpamPoolAllocationCommandOutput
  extends ReleaseIpamPoolAllocationResult,
    __MetadataBearer {}
export declare class ReleaseIpamPoolAllocationCommand extends $Command<
  ReleaseIpamPoolAllocationCommandInput,
  ReleaseIpamPoolAllocationCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ReleaseIpamPoolAllocationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ReleaseIpamPoolAllocationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ReleaseIpamPoolAllocationCommandInput,
    ReleaseIpamPoolAllocationCommandOutput
  >;
  private serialize;
  private deserialize;
}
