import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ReplaceNetworkAclAssociationRequest,
  ReplaceNetworkAclAssociationResult,
} from "../models/models_6";
export { __MetadataBearer, $Command };
export interface ReplaceNetworkAclAssociationCommandInput
  extends ReplaceNetworkAclAssociationRequest {}
export interface ReplaceNetworkAclAssociationCommandOutput
  extends ReplaceNetworkAclAssociationResult,
    __MetadataBearer {}
export declare class ReplaceNetworkAclAssociationCommand extends $Command<
  ReplaceNetworkAclAssociationCommandInput,
  ReplaceNetworkAclAssociationCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ReplaceNetworkAclAssociationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ReplaceNetworkAclAssociationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ReplaceNetworkAclAssociationCommandInput,
    ReplaceNetworkAclAssociationCommandOutput
  >;
  private serialize;
  private deserialize;
}
