import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { ResetSnapshotAttributeRequest } from "../models/models_6";
export { __MetadataBearer, $Command };
export interface ResetSnapshotAttributeCommandInput
  extends ResetSnapshotAttributeRequest {}
export interface ResetSnapshotAttributeCommandOutput extends __MetadataBearer {}
export declare class ResetSnapshotAttributeCommand extends $Command<
  ResetSnapshotAttributeCommandInput,
  ResetSnapshotAttributeCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ResetSnapshotAttributeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ResetSnapshotAttributeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ResetSnapshotAttributeCommandInput,
    ResetSnapshotAttributeCommandOutput
  >;
  private serialize;
  private deserialize;
}
