import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { SendDiagnosticInterruptRequest } from "../models/models_7";
export { __MetadataBearer, $Command };
export interface SendDiagnosticInterruptCommandInput
  extends SendDiagnosticInterruptRequest {}
export interface SendDiagnosticInterruptCommandOutput
  extends __MetadataBearer {}
export declare class SendDiagnosticInterruptCommand extends $Command<
  SendDiagnosticInterruptCommandInput,
  SendDiagnosticInterruptCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: SendDiagnosticInterruptCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: SendDiagnosticInterruptCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    SendDiagnosticInterruptCommandInput,
    SendDiagnosticInterruptCommandOutput
  >;
  private serialize;
  private deserialize;
}
